Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Enum Class ContractRemoveRule.TypeRuleRemoveByTime

java.lang.Object
java.lang.Enum<ContractRemoveRule.TypeRuleRemoveByTime>
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractRemoveRule.TypeRuleRemoveByTime

All Implemented Interfaces:
  `Serializable`, `Comparable<ContractRemoveRule.TypeRuleRemoveByTime>`, `Constable`

Enclosing class:
  `ContractRemoveRule`

public static enum ContractRemoveRule.TypeRuleRemoveByTime extends Enum<ContractRemoveRule.TypeRuleRemoveByTime>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY`
  `MONTH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `static ContractRemoveRule.TypeRuleRemoveByTime`
  `getTypeRule(int ordinal)`
  `static ContractRemoveRule.TypeRuleRemoveByTime`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContractRemoveRule.TypeRuleRemoveByTime[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MONTH

    public static final ContractRemoveRule.TypeRuleRemoveByTime MONTH

  - ### DAY

    public static final ContractRemoveRule.TypeRuleRemoveByTime DAY

- ## Method Details

  - ### values

    public static ContractRemoveRule.TypeRuleRemoveByTime[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContractRemoveRule.TypeRuleRemoveByTime valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDescription

    public String getDescription()

  - ### getTypeRule

    public static ContractRemoveRule.TypeRuleRemoveByTime getTypeRule(int ordinal)